<?php

namespace App\Providers;

use App\Services\Sms\SmsApiSiClient;
use App\Services\Sms\SmsClient;
use Illuminate\Foundation\Application;
use Illuminate\Support\ServiceProvider;
use Inertia\Inertia;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        // Inertia shared
        Inertia::share([
            'laravelVersion' => Application::VERSION,
            'phpVersion' => PHP_VERSION,
        ]);

        // SMS: bind provider client
        $this->app->bind(SmsClient::class, SmsApiSiClient::class);
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        //
    }
}
